Main Page Widgets Namespaces Book

# markup.h File Reference

## Namespaces

namespace | Glib
namespace | Glib::Markup

## Classes

class | Glib::MarkupError
| Exception class for markup parsing errors. More...
class | Glib::Markup::AttributeKeyLess
| Binary predicate used by Markup::Parser::AttributeMap. More...
class | Glib::Markup::Parser
| The abstract markup parser base class. More...
class | Glib::Markup::ParseContext
| A parse context is used to parse marked-up documents. More...

## Typedefs

typedef Glib::MarkupError | Error

## Enumerations

enum | ParseFlags { DO_NOT_USE_THIS_UNSUPPORTED_FLAG = 1 << 0 }
| There are no flags right now. More...

## Functions

Glib::ustring | escape_text (const Glib::ustring& text)
| Escapes text so that the markup parser will parse it verbatim.
ParseFlags | operator| (ParseFlags lhs, ParseFlags rhs)
ParseFlags | operator& (ParseFlags lhs, ParseFlags rhs)
ParseFlags | operator^ (ParseFlags lhs, ParseFlags rhs)
ParseFlags | operator~ (ParseFlags flags)
ParseFlags& | operator|= (ParseFlags& lhs, ParseFlags rhs)
ParseFlags& | operator&= (ParseFlags& lhs, ParseFlags rhs)
ParseFlags& | operator^= (ParseFlags& lhs, ParseFlags rhs)